package my.com.connector.ws.client.data;

/**
 * Represents the model of a event log.
 * 
 * @author chinyeh
 *
 */
public class EventLog {
	
	private Integer id;

	private String requestUrl;
	
	private String requestBody;
	
	private String mallIndicator;
	
	private String trxType;
	
	private String clientTrxId;
	
	private String status;
	
	private String errorMsg;
	
	private String callbackUrl;
	
	private String httpMethod;

	/**
	 * @return the id
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * @return the requestUrl
	 */
	public String getRequestUrl() {
		return requestUrl;
	}

	/**
	 * @return the requestBody
	 */
	public String getRequestBody() {
		return requestBody;
	}

	/**
	 * @return the mallIndicator
	 */
	public String getMallIndicator() {
		return mallIndicator;
	}

	/**
	 * @return the trxType
	 */
	public String getTrxType() {
		return trxType;
	}

	/**
	 * @return the clientTrxId
	 */
	public String getClientTrxId() {
		return clientTrxId;
	}

	/**
	 * @return the status
	 */
	public String getStatus() {
		return status;
	}

	/**
	 * @return the errorMsg
	 */
	public String getErrorMsg() {
		return errorMsg;
	}

	/**
	 * @return the callbackUrl
	 */
	public String getCallbackUrl() {
		return callbackUrl;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * @param requestUrl the requestUrl to set
	 */
	public void setRequestUrl(String requestUrl) {
		this.requestUrl = requestUrl;
	}

	/**
	 * @param requestBody the requestBody to set
	 */
	public void setRequestBody(String requestBody) {
		this.requestBody = requestBody;
	}

	/**
	 * @param mallIndicator the mallIndicator to set
	 */
	public void setMallIndicator(String mallIndicator) {
		this.mallIndicator = mallIndicator;
	}

	/**
	 * @param trxType the trxType to set
	 */
	public void setTrxType(String trxType) {
		this.trxType = trxType;
	}

	/**
	 * @param clientTrxId the clientTrxId to set
	 */
	public void setClientTrxId(String clientTrxId) {
		this.clientTrxId = clientTrxId;
	}

	/**
	 * @param status the status to set
	 */
	public void setStatus(String status) {
		this.status = status;
	}

	/**
	 * @param errorMsg the errorMsg to set
	 */
	public void setErrorMsg(String errorMsg) {
		this.errorMsg = errorMsg;
	}

	/**
	 * @param callbackUrl the callbackUrl to set
	 */
	public void setCallbackUrl(String callbackUrl) {
		this.callbackUrl = callbackUrl;
	}

	/**
	 * @return the httpMethod
	 */
	public String getHttpMethod() {
		return httpMethod;
	}

	/**
	 * @param httpMethod the httpMethod to set
	 */
	public void setHttpMethod(String httpMethod) {
		this.httpMethod = httpMethod;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("EventLog [callbackUrl=");
		builder.append(callbackUrl);
		builder.append(", clientTrxId=");
		builder.append(clientTrxId);
		builder.append(", errorMsg=");
		builder.append(errorMsg);
		builder.append(", httpMethod=");
		builder.append(httpMethod);
		builder.append(", id=");
		builder.append(id);
		builder.append(", mallIndicator=");
		builder.append(mallIndicator);
		builder.append(", requestBody=");
		builder.append(requestBody);
		builder.append(", requestUrl=");
		builder.append(requestUrl);
		builder.append(", status=");
		builder.append(status);
		builder.append(", trxType=");
		builder.append(trxType);
		builder.append("]");
		return builder.toString();
	}
	
}
