package my.com.connector.ws.client.http;

import org.apache.commons.httpclient.Credentials;
import org.apache.commons.httpclient.HttpState;
import org.apache.commons.httpclient.auth.AuthScope;

/**
 * Custom implementation with credentials property.
 * 
 * @author chinyeh
 *
 */
public class CustomHttpState extends HttpState {

	/**
	 * @param credentials the credentials to be set
	 */
	public void setCredentials(final Credentials credentials) {
		super.setCredentials(AuthScope.ANY, credentials);
	}
}
